<!-- toolbox: widget catalog -->
<template>
  <div class="toolbox">
    <span class="captiontext">Drag widget to edit area:</span> <br>   
    <Label label="Label" objectType="PLabel"></Label><br>
    <Label label="Number" objectType="PNumber"></Label><br>
    <Label label="Enum" objectType="PEnum"></Label><br>
    <Label label="Led" objectType="PLed"></Label><br>
    <Label label="PLot" objectType="PPlot"></Label><br>
  </div>
</template>

<script lang="ts">
import Vue from 'vue';
import Label from '@/components/Label.vue';

export default Vue.extend({
  data () {
    return {
    }
  },

  mounted () {
    //console.log('ToolBox mounted');
  },
  components: { Label }
});
</script>

<style scoped>
.toolbox {
  display: inline-block;
  text-align: left;
}
.captiontext {
  font-size: 16px;
  padding: 8px;
}
</style>
